grk::TaskInfo< T, S > Struct Template Reference

`#include <WaveletReverse.h>`

## Public Member Functions

| TaskInfo (S data, grk_buf2d_simple< T > winLL, grk_buf2d_simple< T > winHL, grk_buf2d_simple< T > winLH, grk_buf2d_simple< T > winHH, grk_buf2d_simple< T > winDest, uint32_t indexMin, uint32_t indexMax)
| TaskInfo (S data, uint32_t indexMin, uint32_t indexMax)
| ~TaskInfo (void)

## Public Attributes

S | data
grk_buf2d_simple< T > | winLL
grk_buf2d_simple< T > | winHL
grk_buf2d_simple< T > | winLH
grk_buf2d_simple< T > | winHH
grk_buf2d_simple< T > | winDest
uint32_t | indexMin_
uint32_t | indexMax_

## Constructor & Destructor Documentation

## TaskInfo() [1/2]

template<typename T , typename S >

grk::TaskInfo< T, S >::TaskInfo | ( | S | data,
|  | grk_buf2d_simple< T > | winLL,
|  | grk_buf2d_simple< T > | winHL,
|  | grk_buf2d_simple< T > | winLH,
|  | grk_buf2d_simple< T > | winHH,
|  | grk_buf2d_simple< T > | winDest,
|  | uint32_t | indexMin,
|  | uint32_t | indexMax
| ) |  |

inline

## TaskInfo() [2/2]

template<typename T , typename S >

grk::TaskInfo< T, S >::TaskInfo | ( | S | data,
|  | uint32_t | indexMin,
|  | uint32_t | indexMax
| ) |  |

inline

## ~TaskInfo()

template<typename T , typename S >

grk::TaskInfo< T, S >::~TaskInfo | ( | void |  | ) |

inline

References grk::TaskInfo< T, S >::data.

## Member Data Documentation

## data

template<typename T , typename S >

S grk::TaskInfo< T, S >::data

Referenced by grk::TaskInfo< T, S >::~TaskInfo().

## indexMax_

template<typename T , typename S >

uint32_t grk::TaskInfo< T, S >::indexMax_

## indexMin_

template<typename T , typename S >

uint32_t grk::TaskInfo< T, S >::indexMin_

## winDest

template<typename T , typename S >

grk_buf2d_simple<T> grk::TaskInfo< T, S >::winDest

## winHH

template<typename T , typename S >

grk_buf2d_simple<T> grk::TaskInfo< T, S >::winHH

## winHL

template<typename T , typename S >

grk_buf2d_simple<T> grk::TaskInfo< T, S >::winHL

## winLH

template<typename T , typename S >

grk_buf2d_simple<T> grk::TaskInfo< T, S >::winLH

## winLL

template<typename T , typename S >

grk_buf2d_simple<T> grk::TaskInfo< T, S >::winLL

The documentation for this struct was generated from the following file:

- WaveletReverse.h